package com.jay.monitor.data.core.model.serializable.base;

import com.jay.monitor.data.core.enums.MsgTypeEnums;

/**
 * @Module 传输层
 * @Description 应用对象描述
 * @Author liukaixiong
 * @Date 2020/10/21 17:28
 */
public class ApplicationDTO extends BaseDTO {

    public ApplicationDTO(MsgTypeEnums type) {
        super(type);
    }

    /**
     * 所属ip
     */
    private String ip;
    /**
     * 应用名称
     */
    private String applicationName;

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }
}
