package com.jay.monitor.data.core.model.serializable.base;

import com.jay.monitor.data.core.enums.MsgTypeEnums;

/**
 * @Module 传输层
 * @Description 搜索组对象
 * @Author liukaixiong
 * @Date 2020/10/21 17:18
 */
public abstract class GroupDataDTO extends ApplicationDTO {

    public GroupDataDTO(MsgTypeEnums type) {
        super(type);
    }

    /**
     * 组名称
     */
    private String groupName;

    /**
     * 组的key名称
     */
    private String groupKeyName;

    /**
     * 数据编号
     */
    private String dataId;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupKeyName() {
        return groupKeyName;
    }

    public void setGroupKeyName(String groupKeyName) {
        this.groupKeyName = groupKeyName;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }
}
