package com.jay.monitor.data.core.model.serializable.base;

import com.jay.monitor.data.core.enums.MsgTypeEnums;

/**
 * @Module 传输层
 * @Description 日志对象定义
 * @Author liukaixiong
 * @Date 2020/10/23 15:59
 */
public class LogDataDTO extends RequestDataDTO {

    public LogDataDTO(MsgTypeEnums type) {
        super(type);
    }

    /**
     * log编号
     */
    private String logId;
    /**
     * log消息
     */
    private String logMsg;
    /**
     * 消息状态 : 1正常消息、-1异常消息
     */
    private Integer status = 1;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getLogMsg() {
        return logMsg;
    }

    public void setLogMsg(String logMsg) {
        this.logMsg = logMsg;
    }
}
