# 数据分析监控

## 公共功能

- 数据传输
- 客户端重连
- 客户端在线列表
- 客户端在线离线告警


涉及客户端: 
- zuul      -       URL
- druid     -       SQL
- redis     -       CACHE
- rocketmq        -       MQ

## 网关

### **路由管理**

#### 整合框架

- zuul -> 通过filter植入数据连接器

#### 报表

- 各微服务的总**PV**使用排行
- 各个路由的访问热度、请求成功率、平均耗时、最大耗时
- 按照指定的业务类型排行[IP/用户编号/前端项目名称]
- 时间周期的划分[天/周/月]
- 分析不常用的路由或者可以废弃的路由

**涉及字段**

URL 统计

- 服务名称
- 前端项目名称
- 来源设备
- 来源IP
- 服务IP
- 当前消息编号
- 用户编号
- 返回状态码
- 执行耗时
- 业务类型



### **微服务**

### SQL管理

- 每个微服务的表对应关系
- 每个表的访问热度、增删改查热度
- 表的查询、添加、修改【耗时、平均耗时、最大耗时】
  - 最大耗时的具体执行SQL
-  

### **告警功能**

- 路由/SQL的增长频率告警
- 



**报告生成**

- 当前连接客户端

- 每日报告
- 每周报告
- 每月报告

